Bug 866457 - [abrt] libreoffice-core-3.4.6.2-1.fc16: lcl_SortedTabColInsert: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 8 (SIGFPE)
[abrt] libreoffice-core-3.4.6.2-1.fc16: lcl_SortedTabColInsert: Process /usr/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:6ada9c0648bfaf06ec26fcdf866...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 08:13 EDT by darton
Modified: 2012-12-19 03:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 03:32:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (17.70 KB, text/plain)
2012-10-15 08:13 EDT, darton
no flags Details
File: build_ids (6.49 KB, text/plain)
2012-10-15 08:13 EDT, darton
no flags Details
File: яяяяя.rtf (126.46 KB, text/plain)
2012-10-15 08:13 EDT, darton
no flags Details
File: maps (73.93 KB, text/plain)
2012-10-15 08:13 EDT, darton
no flags Details
File: backtrace (50.42 KB, text/plain)
2012-10-15 08:13 EDT, darton
no flags Details

  None (edit)
Description darton 2012-10-15 08:13:30 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///tmp/tmp/%D1%8F%D1%8F%D1%8F%D1%8F%D1%8F.rtf --splash-pipe=7
comment:        LibO crashes opening a specific RTF file.
crash_function: lcl_SortedTabColInsert
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.4.11-1.fc16.x86_64
pid:            6970
pwd:            /home/mmaksimov
time:           Mon 15 Oct 2012 02:03:46 PM MSK
uid:            500
username:       mmaksimov

backtrace:      Text file, 51633 bytes
build_ids:      Text file, 6642 bytes
dso_list:       Text file, 18122 bytes
maps:           Text file, 75707 bytes
яяяяя.rtf: Text file, 129491 bytes

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:ORBIT_SOCKETDIR=/tmp/orbit-mmaksimov
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1777
:HOSTNAME=mmaks
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=6956
:GPG_AGENT_INFO=/home/mmaksimov/.gnupg/S.gpg-agent:1797:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:DESKTOP_STARTUP_ID=nautilus-6941-mmaks-libreoffice-1_TIME170452804
:HISTSIZE=1000
:XDG_SESSION_COOKIE=4757ee490a91bc76df9479d50000000e-1349968212.447157-1113372694
:XRE_PROFILE_NAME=
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-ZPJTEB
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:IMSETTINGS_MODULE=none
:USER=mmaksimov
:XRE_PROFILE_LOCAL_PATH=
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64:/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:XRE_START_OFFLINE=
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-LsXWJKTy1687/agent.1687
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:USERNAME=mmaksimov
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1806,unix/unix:/tmp/.ICE-unix/1806
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins-wrapped:/usr/lib64/firefox/plugins-wrapped
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/mmaksimov
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mmaksimov/.local/bin:/home/mmaksimov/bin
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/mmaksimov
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1683
:XRE_PROFILE_PATH=
:XSUNSMESIZE=512
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/mmaksimov
:SAL_ENABLE_FILE_LOCKING=1
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=mmaksimov
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:MOZ_LAUNCHED_CHILD=
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-SU4DnJYQac,guid=845d142ffbba8853f4b1f39300000053
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:NO_EM_RESTART=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:WINDOWPATH=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/firefox/firefox
:XRE_BINARY_PATH=
:XDG_RUNTIME_DIR=/run/user/mmaksimov
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/mmaksimov/.mozilla/firefox/Crash Reports'
:XUL_APP_FILE=
:NO_AT_BRIDGE=1
:XAUTHORITY=/var/run/gdm/auth-for-mmaksimov-kBxdHF/database

var_log_messages:
:Oct 15 14:03:46 mmaks kernel: [170240.347606] soffice.bin[6970] trap divide error ip:7fb92ce0e169 sp:7fff5b0352c0 error:0 in libswlx.so[7fb92c8a8000+bd5000]
:Oct 15 14:03:48 mmaks abrt[6987]: Saved core dump of pid 6970 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-10-15-14:03:46-6970 (104857600 bytes)
Comment 1 darton 2012-10-15 08:13:35 EDT
Created attachment 627377 [details]
File: dso_list
Comment 2 darton 2012-10-15 08:13:38 EDT
Created attachment 627378 [details]
File: build_ids
Comment 3 darton 2012-10-15 08:13:40 EDT
Created attachment 627379 [details]
File: яяяяя.rtf
Comment 4 darton 2012-10-15 08:13:44 EDT
Created attachment 627380 [details]
File: maps
Comment 5 darton 2012-10-15 08:13:47 EDT
Created attachment 627381 [details]
File: backtrace
Comment 6 Caolan McNamara 2012-10-16 09:53:52 EDT
Can we get the .rtf that triggers this crash ?

Note You need to log in before you can comment on or make changes to this bug.